查询账户详情
GET
按账户 ID 查询账户详情。
GLDB
accountId是创建时返回的申请单号。- 不得传
providerCustomerId。 - 审核中为
PENDING。审核通过后为ACTIVE。账户之后停用或关闭时为INACTIVE或CLOSED。审核拒绝或申请取消时为FAILED。 - 开户后返回
accountNumber、bankName、bankAddress、swiftBic、iban、bankCountry、accountHolderName。openedAt只在ACTIVE时返回。 - 不推送状态变化的 Webhook。请轮询本接口。
- 账户不存在时返回
fiat.account.not_found。只支持单币种账户,查询多币种账户返回fiat.account.multi_currency_unsupported。
bearerAuthheader
鉴权Bearer <令牌>通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。
accountId*string账户 ID。LEGEND 如 bnk_abc123。GLDB 为创建时返回的申请单号。
providerCustomerId?string渠道侧客户标识,由调用方传入。LEGEND 必填,即 user_short_id。GLDB 不得传。
X-Channel-Provider*string渠道提供商标识,如 GLDB
返回账户详情。
application/json- response
code?integer业务状态码
message?stringtraceId?string请求追踪 ID。联系技术支持时请提供
data?法币账户详情。
curl -X GET 'https://api.test.stabofx.com/openapi/v1/fiat-accounts/bnk_abc123' \ -H 'X-Channel-Provider: GLDB'响应示例
{ "code": 200, "message": "操作成功", "traceId": "t_xxxxxxxx", "data": { "accountId": "bnk_abc123", "providerCustomerId": "usr_user123", "currency": "USD", "status": "ACTIVE", "alias": "Main USD Account", "bankCountry": "SG", "bankName": "DBS Bank", "bankAddress": "12 Marina Boulevard", "accountHolderName": "Acme Pte Ltd", "swiftBic": "DBSSSGSG", "accountNumber": "072001234", "routingCodes": [ { "type": "ROUTING_NUMBER", "value": "123456789" } ], "openedAt": "2026-11-06T10:30:00Z" }}